# NLB-Edge
# Transductive link prediction
python main.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --run 5
python main.py -d UBUNTU --bs 600 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d WIKITALK --bs 1000 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
# Inductive link prediction
python main.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --run 5
python main.py -d UBUNTU --bs 600 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
python main.py -d WIKITALK --bs 1000 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5
# Node classification
python main_node.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5 --model_path ${your_best_model_path}
python main_node.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --run 5 --model_path ${your_best_model_path}
python main_node.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --run 5 --model_path ${your_best_model_path}
python main_node.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --run 5 --model_path ${your_best_model_path}

# NLB-Node
# Transductive link prediction
python main.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d UBUNTU --bs 600 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d WIKITALK --bs 1000 --n_degree 20 --n_hop 1 --mode t --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
# Inductive link prediction
python main.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d UBUNTU --bs 600 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
python main.py -d WIKITALK --bs 1000 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5
# Node classification
python main_node.py -d WIKI --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 400 --replace_prob 0.8 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5 --model_path ${your_best_model_path}
python main_node.py -d REDDIT --bs 100 --n_degree 20 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.1 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 100 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5 --model_path ${your_best_model_path}
python main_node.py -d GDELT --bs 5000 --n_degree 10 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.2 --attn_n_head 2 --self_dim 100 --replace_prob 0.9 --lr 0.0001 --time_dim 10 --n_epoch 30 --gpu 0 --seed 2024 --nlb_node --run 5 --model_path ${your_best_model_path}
python main_node.py -d MAG --bs 5000 --n_degree 2 --n_hop 1 --mode i --bias 1e-5 --verbosity 1 --drop_out 0.2 --attn_dropout 0.0 --attn_n_head 2 --self_dim 100 --replace_prob 0.98 --lr 0.0001 --time_dim 1 --n_epoch 10 --gpu 0 --seed 2024 --nlb_node --run 5 --model_path ${your_best_model_path}
